﻿using Microsoft.AspNetCore.Components;
using VeraxShield.modele.utilisateurs;
using VeraxShield.services.UtilisateursDataService;

namespace VeraxShield.Pages.utilisateurs
{
	public partial class ListeUtilisateurs
	{
		[Inject]
		private IUtilisateursDataService utilisateursDataService { get; set; }

		private List<Utilisateur> Utilisateurs { get; set; }

		private Utilisateur utilisateurSelectionne;

		protected override async Task OnInitializedAsync()
		{
            //await this.utilisateursDataService.resetDataUtilisateurs();

            this.Utilisateurs = await this.utilisateursDataService.getAllUtilisateurs();
			Console.WriteLine(" nb Utilisateurs : " + Utilisateurs.Count());
			
			foreach (Utilisateur u in Utilisateurs)
			{
				Console.WriteLine("Pseudo : " + u.Pseudo);
			}

			await base.OnInitializedAsync();
		}
	}
}
